// -----------------------------------------------------------------------------
// (C) Bibix
// The content below includes confidential, proprietary information of
// Bibix. All use, disclosure, and/or reproduction is prohibited
// unless authorized in writing. All rights reserved.
// -----------------------------------------------------------------------------
// File         : arx_types.h
// Description  : Arx custom data types
// Author       : Klaas Hofstra, University of Twente
// Creation date: June 29, 2010 (Header added by SHG)
// -----------------------------------------------------------------------------
// $Rev: 47 $
// $Author: sabih $
// $Date: 2011-02-03 01:25:20 +0100 (Thu, 03 Feb 2011) $
// $Log$
// -----------------------------------------------------------------------------

#ifndef ARX_TYPES_H
#define ARX_TYPES_H

#ifdef WIN32
	typedef unsigned int u32;
	typedef int i32;
	typedef unsigned __int64 u64;
	typedef __int64 i64;
#else
	#include <sys/types.h>
	typedef int32_t i32;
	typedef int64_t i64;
	typedef u_int32_t u32;
	typedef u_int64_t u64;
#endif

typedef unsigned short u16;
typedef signed short i16;
typedef unsigned char u8;
typedef signed char i8;


#endif

